Index: prtops/source.c
===================================================================
--- prtops.orig/source.c	2012-08-09 11:31:10.579280139 +0100
+++ prtops/source.c	2012-08-09 11:31:26.763365324 +0100
@@ -28,9 +28,12 @@
 ********************************************************************/
  
 
+#include <ctype.h>
 #include <stdio.h>
 #include <stddef.h>
 #include <stdlib.h>
+#include <string.h>
+#include <unistd.h>
 
 #define TRUE  1                   /* boolean constants             */
 #define FALSE 0
